import Vue from 'vue'
import Vuex from 'vuex'
import system from './system'
import apartment from './modules/apartment'
import news from './modules/news'
Vue.use(Vuex)

const store = new Vuex.Store({
  ...system,
  modules: {
    apartment,
    persons: require('./modules/persons').default,
    dynamic: require('./modules/dynamic').default,
    customer: require('./modules/customer').default,
    building: require('./modules/building').default,
    img: require('./modules/img').default,
    activity: require('./modules/activity').default,
    goods: require('./modules/goods').default,
    points: require('./modules/points').default,
    exchange: require('./modules/exchange').default,
    carouselFigure: require('./modules/carouselFigure').default,
    indexEcharts: require('./modules/indexEcharts').default,
    message: require('./modules/message').default,
    report: require('./modules/report').default,
    news

  }
})

export default store
